commit a81b2a0d9faf3d3c85ac88e2bc8ca2f67e843adc
Author: freddy77 <freddy77>
Date:   Sat Jul 17 18:05:24 2010 +0000

    small optimization

diff --git a/ChangeLog b/ChangeLog
index 7633474..73c99da 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Jul 17 20:05:19 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/error.c: small optimization
+
 Sat Jul 17 19:45:43 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* win32/FreeTDS.def: adding missing wide exports
 
@@ -2680,4 +2683,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3073 2010/07/17 17:45:51 freddy77 Exp $
+$Id: ChangeLog,v 1.3074 2010/07/17 18:05:24 freddy77 Exp $
diff --git a/src/odbc/error.c b/src/odbc/error.c
index f2dd7f6..c8b406e 100644
--- a/src/odbc/error.c
+++ b/src/odbc/error.c
@@ -44,7 +44,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: error.c,v 1.62 2010/07/03 06:57:02 freddy77 Exp $");
+TDS_RCSID(var, "$Id: error.c,v 1.63 2010/07/17 18:05:24 freddy77 Exp $");
 
 static void odbc_errs_pop(struct _sql_errors *errs);
 static const char *odbc_get_msg(const char *sqlstate);
@@ -553,19 +553,18 @@ sqlstate2to3(char *state)
 	rank_errors(errs);
 
 	if (szSqlState) {
-		if (odbc_ver == SQL_OV_ODBC3)
-			odbc_set_string(dbc, szSqlState, 24, NULL, errs->errs[numRecord].state3, -1 _wide);
-		else
-			odbc_set_string(dbc, szSqlState, 24, NULL, errs->errs[numRecord].state2, -1 _wide);
+		const char *state =
+			(odbc_ver == SQL_OV_ODBC3) ? errs->errs[numRecord].state3 : errs->errs[numRecord].state2;
+		odbc_set_string(dbc, szSqlState, 24, NULL, state, -1 _wide);
 	}
 
 	msg = errs->errs[numRecord].msg;
 
-	tdsdump_log(TDS_DBG_FUNC, "_SQLError: \"%s\"\n", msg);
-
 	if (asprintf(&p, "%s%s", msgprefix, msg) < 0)
 		return SQL_ERROR;
 
+	tdsdump_log(TDS_DBG_FUNC, "SQLGetDiagRec: \"%s\"\n", p);
+
 	result = odbc_set_string(dbc, szErrorMsg, cbErrorMsgMax, pcbErrorMsg, p, -1 _wide);
 	free(p);
 

